//+------------------------------------------------------------------+
//|                                                     Multi MA.mq4 |
//|                                        Victor Nicolaev aka Vinin |
//|                                            mail_to:vinin@mail.ru |
//+------------------------------------------------------------------+
#property copyright "Victor Nicolaev aka Vinin"
#property link      "e-mail:vinin@mail.ru"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Yellow
#property indicator_color2 Red
//---- input parameters

extern int Period1= 5;
extern int Period2=13;
extern int ModePrice=0;
extern int ModeMA=0;

//---- buffers
double MA1[];
double MA2[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,MA1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,MA2);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int   i,
         counted_bars=IndicatorCounted(),
         limit=Bars-counted_bars-1;
   for (i=limit;i>=0;i--)  MA1[i]=iMA(NULL,0,Period1,0,ModeMA,ModePrice,i);
   for (i=limit;i>=0;i--)  MA2[i] =iMAOnArray(MA1,0,Period2,0,ModeMA,i);

   return(0);
  }
//+------------------------------------------------------------------+


